picocli

## Interface CommandLine.IFactory

Enclosing class:
  CommandLine

    public static interface CommandLine.IFactory

Factory for instantiating classes that are registered declaratively with annotation attributes, like `CommandLine.Command.subcommands()`, `CommandLine.Option.converter()`, `CommandLine.Parameters.converter()` and `CommandLine.Command.versionProvider()`.

### Method Summary

Methods
`<K> K` `create(java.lang.Class<K> cls)` Creates and returns an instance of the specified class.

### Method Detail

#### create

    <K> K create(java.lang.Class<K> cls)
             throws java.lang.Exception

Creates and returns an instance of the specified class.

Type Parameters:
  `K` - the type to instantiate
Parameters:
  `cls` - the class to instantiate
Returns:
  the new instance
Throws:
  `java.lang.Exception` - an exception detailing what went wrong when creating the instance